use strict;
use warnings;
our %detector;
our %configuration;
our %parameters;

use Getopt::Long;
use Math::Trig;

my $DetectorMother="root";
my $DetectorName = "eic_det1_box_ele";


sub make_det1_compton_box_geometry
{

    %detector = init_det();
    $detector{"name"}        = "det_box_outer";
    $detector{"mother"}      = "root";
    $detector{"description"} = "Outer box";
    $detector{"type"}        = "Box";
    $detector{"dimensions"}  = "10.00*cm 10.00*cm 3.00*cm";
    $detector{"material"}    = "Component";
    print_det(\%configuration, \%detector);

    %detector = init_det();
    $detector{"name"}        = "det_box_inner";
    $detector{"mother"}      = "root";
    $detector{"description"} = "Box inner";
    $detector{"type"}        = "Box";
    $detector{"dimensions"}  = "9.900*cm 9.900*cm 2.900*cm";     
#    $detector{"dimensions"}  = "9.9975*cm 9.975*cm 2.9975*cm";   # 250 um
#    $detector{"dimensions"}  = "9.995*cm 9.995*cm 2.995*cm";     # 1000 um
    $detector{"material"}    = "Component";
    print_det(\%configuration, \%detector);


    my %detector=init_det();
    $detector{"name"}        = "e_det_box";
    $detector{"mother"}      = "root";
    $detector{"description"} = "Detector box";
    $detector{"pos"}         = "-0.0128698*m 0*m -32.6215318*m";
    $detector{"rotation"}    = "0.0*rad 0.0*rad 0.0*rad";
    $detector{"color"}       = "FF33FF"; 
    $detector{"type"}        = "Operation: det_box_outer - det_box_inner";
    $detector{"material"}    = "G4_STAINLESS-STEEL";
#    $detector{"material"}    = "G4_Galactic";
    $detector{"mfield"}      = "no";
    $detector{"ncopy"}       = 1;
    $detector{"pMany"}       = 1;
    $detector{"exist"}       = 1;
    $detector{"visible"}     = 0;
    $detector{"style"}       = 1;
    $detector{"sensitivity"} = "flux";
    $detector{"hit_type"}    = "flux";
    $detector{"identifiers"} = "id manual 20003";
    print_det(\%configuration, \%detector);

# Need to build vacuum to fill the box

    %detector=init_det();
    $detector{"name"}        = "e_det_box_vacuum";
#    $detector{"mother"}      = "e_det_box";
    $detector{"mother"}      = "root";
    $detector{"description"} = "Compton Detector Box Vacuum";
    $detector{"pos"}         = "-0.0128698*m 0*m -32.6215318*m";
#    $detector{"pos"}         = "0.0*m 0.0*m 0.0*m";
    $detector{"rotation"}    = "0.0*rad 0.0*rad 0.0*rad";
    $detector{"color"}       = "000000"; 
    $detector{"type"}        = "Box";
    $detector{"dimensions"}  = "9.9549*cm 9.9549*cm 2.9549*cm";
    $detector{"material"}    = "G4_Galactic";
    $detector{"mfield"}      = "no";
    $detector{"ncopy"}       = 1;
    $detector{"pMany"}       = 1;
    $detector{"exist"}       = 1;
    $detector{"visible"}     = 1;
    $detector{"style"}       = 1;
    $detector{"sensitivity"} = "flux";
    $detector{"hit_type"}    = "flux";
    $detector{"identifiers"} = "id manual 20005";
    print_det(\%configuration, \%detector);

}
1;
