use strict;
use warnings;
our %detector;
our %configuration;
our %parameters;

use Getopt::Long;
use Math::Trig;

#my $DetectorMother="root";
my $DetectorMother="eic_det1_box_ele";
my $NStrips = 300;

my $strip;
my $strip_position;
my $strip_z;
my $strip_id;


sub make_det1_compton_edetector_geometry
{
    for(my $j = 0; $j < 1; $j++){


	for(my $i = 0; $i < ($NStrips); $i++)
	{
	    $strip_id = ${j}*1000 + ${i};

	    $strip = $i + 1;

#	    $strip_position = -0.0553698+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); # 5 GeV original
#	    $strip_position = -0.0503698+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); # 5 GeV zero x-ing

#	    $strip_position = -0.0453698+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); # 3 GeV box
#	    $strip_position = -0.0375000+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); # 5 GeV zero x-ing in box
#	    $strip_position = -0.0378698+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); # 10 GeV box

#	    $strip_position = -0.0453698+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); #  3 GeV box halo test
#	    $strip_position = -0.0375000+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); #  5 GeV box halo test
	    $strip_position = -0.0378698+${i}*(0.000010+0.000240); #-0.0653698+${i}*(0.000010+0.000240); # 10 GeV box halo test



#	    $strip_z = -32.5965318 - 0.01*${j};
	    $strip_z =   0.025 - 0.01*${j};
	    
	    my %detector=init_det();
	    $detector{"name"}        = "e_det_strip_${j}_${strip}";
            $detector{"mother"}      = "e_det_box_vacuum";
#	    $detector{"mother"}      = "root";
	    $detector{"description"} = "Compton Electron Detector ${j} Strip ${strip}";
	    $detector{"pos"}         = "${strip_position}*m 0*m ${strip_z}*m";
	    $detector{"rotation"}    = "0.0*rad 0.0*rad 0.0*rad";
	    $detector{"color"}       = "EE00EE"; 
	    $detector{"type"}        = "Box";
	    $detector{"dimensions"}  = "0.0120*cm 0.5000*cm 0.05*cm";
	    $detector{"material"}    = "G4_Si";
	    $detector{"mfield"}      = "no";
	    $detector{"ncopy"}       = 1;
	    $detector{"pMany"}       = 1;
	    $detector{"exist"}       = 1;
	    $detector{"visible"}     = 1;
	    $detector{"style"}       = 1;
	    $detector{"sensitivity"} = "flux";
#	    $detector{"sensitivity"} = "$sens[$i]";
	    $detector{"hit_type"}    = "flux";
	    $detector{"identifiers"} = "id manual ${strip_id}";
	    print_det(\%configuration, \%detector);
	}
    }
}
1;
