use strict;
use warnings;
our %detector;
our %configuration;
our %parameters;

use Getopt::Long;
use Math::Trig;

sub make_det1_compton_solid_detector_geometry
{
	    my %detector=init_det();
	    $detector{"name"}        = "e_det_solid";
            $detector{"mother"}      = "e_det_box_vacuum";
	    $detector{"description"} = "Compton Solid Electron Detector";
	    $detector{"pos"}         = "0.0*m 0.0*m 0.0*m";
	    $detector{"rotation"}    = "0.0*rad 0.0*rad 0.0*rad";
	    $detector{"color"}       = "EE00EE"; 
	    $detector{"type"}        = "Box";
	    $detector{"dimensions"}  = "8.0*cm 8.0*cm 2.0*cm";
	    $detector{"material"}    = "G4_Pb";
	    $detector{"mfield"}      = "no";
	    $detector{"ncopy"}       = 1;
	    $detector{"pMany"}       = 1;
	    $detector{"exist"}       = 1;
	    $detector{"visible"}     = 1;
	    $detector{"style"}       = 1;
	    $detector{"sensitivity"} = "flux";
	    $detector{"hit_type"}    = "flux";
	    $detector{"identifiers"} = "id manual 99999";
	    print_det(\%configuration, \%detector);
}
1;
